Bug 1712670 (CVE-2019-12155) - CVE-2019-12155 QEMU: qxl: null pointer dereference while releasing spice resources
Summary: CVE-2019-12155 QEMU: qxl: null pointer dereference while releasing spice reso...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12155
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1712703 1712704 1712711 1712705 1712708 1712709 1712710 1712712 1712713 1712717 1712727 1712728 1732337 1732338
Blocks: 1696613
TreeView+ depends on / blocked
 
Reported: 2019-05-22 05:36 UTC by Prasad J Pandit
Modified: 2019-11-26 23:46 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 13:07:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3893 None None None 2019-11-18 07:41:23 UTC
Red Hat Product Errata RHSA-2019:2607 None None None 2019-09-03 17:42:04 UTC
Red Hat Product Errata RHSA-2019:2892 None None None 2019-09-24 13:32:32 UTC
Red Hat Product Errata RHSA-2019:3179 None None None 2019-10-22 15:24:03 UTC
Red Hat Product Errata RHSA-2019:3345 None None None 2019-11-05 20:39:30 UTC
Red Hat Product Errata RHSA-2019:3742 None None None 2019-11-06 15:20:06 UTC
Red Hat Product Errata RHSA-2019:3787 None None None 2019-11-07 13:45:57 UTC

Description Prasad J Pandit 2019-05-22 05:36:14 UTC
A null pointer dereference issue was found the QXL VGA card emulator
of QEMU. It could occur while releasing resources allocated for a
SPICE server thread in interface_release_resources().

A guest user could use this flaw to crash the QEMU process resulting
in DoS scenario.

Upstream patch:
---------------
  -> https://git.qemu.org/?p=qemu.git;a=commit;h=d52680fc932efb8a2f334cc6993e705ed1e31e99

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2019/05/22/1

Comment 1 Prasad J Pandit 2019-05-22 06:28:14 UTC
Acknowledgments:

Name: Sergej Schumilo (Ruhr University Bochum), Cornelius Aschermann (Ruhr University Bochum), Simon Wrner (Ruhr University Bochum)

Comment 4 Prasad J Pandit 2019-05-22 07:02:53 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1712727]

Comment 7 errata-xmlrpc 2019-09-03 17:42:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2607 https://access.redhat.com/errata/RHSA-2019:2607

Comment 8 Product Security DevOps Team 2019-09-04 13:07:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12155

Comment 9 errata-xmlrpc 2019-09-24 13:32:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2892 https://access.redhat.com/errata/RHSA-2019:2892

Comment 10 errata-xmlrpc 2019-10-22 15:24:00 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:3179 https://access.redhat.com/errata/RHSA-2019:3179

Comment 11 errata-xmlrpc 2019-11-05 20:39:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3345 https://access.redhat.com/errata/RHSA-2019:3345

Comment 12 errata-xmlrpc 2019-11-06 15:20:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:3742 https://access.redhat.com/errata/RHSA-2019:3742

Comment 13 errata-xmlrpc 2019-11-07 13:45:55 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)

Via RHSA-2019:3787 https://access.redhat.com/errata/RHSA-2019:3787


Note You need to log in before you can comment on or make changes to this bug.